Important Information for AOL Users

Currently we certify/recommend the browsers included with AOL 8.0 and AOL 9.0 to access Internet Banking. Browsers included with older versions of AOL may still work, but are no longer supported by Internet Banking. Browsers included with AOL for Mac OS X and AOL 5.0 for Macintosh PPC are not certified, but should work with Internet Banking.

At the present time America Online (AOL) has several versions: To learn more about or upgrade to the latest version of America Online, click one of the following links. Each link will open a new browser window:

Get Started
Windows Downloads
Macintosh Downloads

To learn more about System Requirements and Install Instructions for different AOL versions, click here.

Alternative Suggestions:

America Online allows you to use other browsers than the built-in AOL browser. To do so, log on to AOL, then minimize or close the AOL browser window and open another certified or supported browser.

Use another Internet Service Provider (besides AOL) that supports either Microsoft Internet Explorer 5.5 and higher or Netscape 6.1 and higher.